% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/anova_pm.R
\name{anova.pm}
\alias{anova.pm}
\title{Anova function for `pm` objects.}
\usage{
\method{anova}{pm}(object, permutations = how(nperm = 999), ...)
}
\arguments{
\item{object}{an object containing the results returned by the
\code{\link[ProcMod]{pm}} model fitting function.}

\item{permutations}{can be a single number for the number of simple permutations, a
result of \code{\link[permute]{how}} defining a permutation scheme or a
permutation matrix}
}
\description{
Anova function for `pm` objects.
}
\examples{
  A <- simulate_matrix(n=15,p=50)
  B <- simulate_correlation(A,p=40,r2=0.5)
  C <- simulate_correlation(A,p=40,r2=0.1)
  D <- simulate_correlation(A,p=40,r2=0.01)
  E <- simulate_matrix(n=15,p=50)

  data <- procmod_frame(A=A, B=B, C=C, D=D, E=E)

  m <- pm(A ~ B + C + D + E, data = data, nrand=300)

  anova(m,permutation=300)

}
\author{
Eric Coissac

Christelle Gonindard-Melodelima
}
