% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/stepaic.R
\name{extractAIC.pm}
\alias{extractAIC.pm}
\title{Extract AIC from a Procrustean Fitted Model.}
\usage{
\method{extractAIC}{pm}(fit, scale = 0, k = 2, ...)
}
\arguments{
\item{fit}{fitted model, the result of \code{link[ProcMod]{pm}}.}

\item{scale}{optional numeric specifying the scale parameter of the model,
see scale in \code{\link[stats]{step}}. \code{scale} specifies
the estimate of the error variance, and \code{scale} = 0 indicates
that it is to be estimated by maximum likelihood.}

\item{k}{numeric specifying the ‘weight’ of the equivalent degrees
of freedom (=: edf) part in the AIC formula.}

\item{...}{further arguments (currently unused in base R).}
}
\description{
Computes the (generalized) Akaike An Information Criterion for a fitted parametric model.
}
\details{
This is the \code{\link[ProcMod]{pm}} method for the
   \code{\link[stats]{extractAIC}} generic function.

The criterion used is
     \deqn{AIC = - 2*log L + k * edf},
where L is the likelihood and edf the equivalent degrees of freedom
(i.e., the number of free parameters for usual parametric models) of fit.

k = 2 corresponds to the traditional AIC, using k = log(n) provides the BIC
(Bayesian IC) instead.
}
\seealso{
\code{\link[stats]{extractAIC}}
}
\author{
Eric Coissac

Christelle Gonindard-Melodelima
}
