% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/formula_procmod_frame.R
\name{formula.procmod_frame}
\alias{formula.procmod_frame}
\title{Build a formula from a \code{procmod_frame}.}
\usage{
\method{formula}{procmod_frame}(x, ...)
}
\arguments{
\item{x}{the \code{procmod_frame} to be used}

\item{...}{further arguments passed to or from other methods.}
}
\value{
produces an object of class \code{\link[stats]{formula}} which
        contains a symbolic model formula.
}
\description{
The first element of the \code{procmod_frame}
is used as the variable to  explain. The others
elements of the \code{procmod_frame} is considered
as explanatory variables.
}
\examples{
A <- simulate_matrix(20, 5)
B <- simulate_correlation(A, 10, r2 = 0.4)
C <- simulate_correlation(A, 15, r2 = 0.6)

pf <- procmod_frame(A = A, B = B, C = C)

formula(pf)

}
\author{
Eric Coissac

Christelle Gonindard-Melodelima
}
