% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mprocuste.R
\name{.pm_fit}
\alias{.pm_fit}
\title{Fitter Function for Procrustean Linear Models}
\usage{
.pm_fit(covmat, y, xs, singular_ok = TRUE, tol = 1e-07)
}
\arguments{
\item{covmat}{the covariance matrix of the model_procmod}

\item{y}{a numeric value or a logical vector indicating
which column and row of \code{covmat} corresponds to
the response variable.}

\item{xs}{a numeric or logical vector indicating which colulns and
rows of \code{covmat} correspond to the explanatory variables}

\item{singular_ok}{logical. If FALSE, a singular model is an error.}

\item{tol}{tolerance for the \code{\link[base]{qr}} decomposition.
Default is 1e-7.}
}
\value{
\describe{
   \item{coeficients}{a least-square solution of the fitting problem.
             The names of coefficients are taken from the column names
             of x, or given names "x1" to "xN". If column count is higher
             than the rank of x, missing values are placed in the
             inestimable coefficients.}
   \item{rank}{ the number of linearly independant matrix in the procruste model.}
   \item{qr}{the QR decomposition}
 }
}
\description{
These is the basic computing engines called by \code{\link[ProcMod]{pm}}
used to fit Procrustean linear models.
}
\note{
Internal function do not use.
}
\author{
Eric Coissac <eric.coissac@metabarcoding.org>

Christelle Gonindard-Melodelima <christelle.gonindard@metabarcoding.org>
}
