% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mprocuste.R
\name{is_pm}
\alias{is_pm}
\title{Tests that the object is as `pm` instance.}
\usage{
is_pm(obj)
}
\arguments{
\item{obj}{the object to test for its belonging to
the \code{\link[ProcMod]{pm}} class.}
}
\value{
\code{TRUE} if \code{obj} is a \code{\link[ProcMod]{pm}}
        instance, \code{FALSE} otherwise.
}
\description{
Tests that the object is as `pm` instance.
}
\examples{
# Builds a list containing two random matrices
m1 <- simulate_matrix(10,20)
m2 <- simulate_matrix(10,30)
d <- procmod_frame(m1 = m1, m2 = m2)
p <- pm(m1 ~ m2, data=d)

is_pm(3.0) # Must returns FALSE
is_pm(p)   # Must returns TRUE

}
\author{
Eric Coissac

Christelle Gonindard-Melodelima
}
