% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/omit_action.R
\name{na.omit.procmod_frame}
\alias{na.omit.procmod_frame}
\alias{na.exclude.procmod_frame}
\alias{na.fail.procmod_frame}
\title{Handle Missing Values in \code{procmod_frame}.}
\usage{
\method{na.omit}{procmod_frame}(object, ...)

\method{na.exclude}{procmod_frame}(object, ...)

\method{na.fail}{procmod_frame}(object, ...)
}
\arguments{
\item{object}{a \code{procmod_frame} object}

\item{...}{further arguments special methods could require.}
}
\description{
These S3 methods are useful for dealing with NAs in e.g., \code{procmod_frame}.
}
\details{
na.fail returns the object if it does not contain any missing values,
and signals an error otherwise.

na.omit returns the object with incomplete cases removed.

na.pass returns the object unchanged.
}
\examples{
A <- simulate_matrix(20, 5)
B <- simulate_correlation(A, 10, r2 = 0.4)
C <- simulate_correlation(A, 15, r2 = 0.6)
D <- dist(A)
A[3, 2] <- NA

pf <- procmod_frame(A = A, B = B, C = C, D = D)

na.omit(pf)
na.exclude(pf)

}
\seealso{
\link[stats]{na.fail}
}
\author{
Eric Coissac

Christelle Gonindard-Melodelima
}
